/**
* Style code from FezVrasta
* https://github.com/FezVrasta/snackbarjs
*
**/
// out: snackbar.css

.snackbar-container {
  position: fixed;
  left: 20px;
  bottom: 0;
  z-index: 99999;
}
.snackbar {
  overflow: hidden;
  clear: both;
  min-width: 288px;
  max-width: 568px;

  opacity: 0;
}

.snackbar.snackbar-opened {
  height: auto;
  opacity: 1;
}


.dismiss-button {
  cursor: pointer;
  background-color: rgba(0, 0, 0, 0);
  border: 0;
  padding: 2px;
  width: 16px;
  height: 16px;
  float: right;
}

.dismiss-button span{
  width: 12px;
  height: 12px;
  display: inline-block;
  background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAwAAAAMCAQAAAD8fJRsAAAAgUlEQVR4AV3OMctBYRjH4bu3NzIpi1IGn4liY+BTnUXKoFNSUpIMp5h8p8ugc+6O7un5XcPzD10rPZFnYOkvbHBvwRvTMPbAuckVTobfx62hCqUQIWmnrHNCOIBC/MIRbBPyy8I+Z2Qu2zPCxKvJNV2NwhoXIe+JWfi30GlB31x8AD/ovVwiNw+QAAAAAElFTkSuQmCC');
}

@media (max-width: 767px) {
  .snackbar-container {
    left: 0px !important;
    right: 0px;
    width: 100%;
    .snackbar {
      min-width: 100%;
    }
    [class="snackbar snackbar-opened"] ~ .snackbar.toast {
      margin-top: 20px;
    }
    [class="snackbar snackbar-opened"] {
      border-radius: 0;
      margin-bottom: 0;
    }
  }
}

// out: ../themes-css/material.css

.snackbar {
  // Style
  background-color: #323232;
  color: #FFFFFF;
  font-size: 14px;
  font-family: 'Roboto', sans-serif;
  border-radius: 2px;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);

  // Animation
  height: 0;
  -moz-transition: -moz-transform 0.2s ease-in-out, opacity 0.2s ease-in, height 0s linear 0.2s, padding 0s linear 0.2s, height 0s linear 0.2s;
  -webkit-transition: -webkit-transform 0.2s ease-in-out, opacity 0.2s ease-in, height 0s linear 0.2s, padding 0s linear 0.2s, height 0s linear 0.2s;
  transition: transform 0.2s ease-in-out, opacity 0.2s ease-in, height 0s linear 0.2s, padding 0s linear 0.2s, height 0s linear 0.2s;
  -moz-transform: translateY(200%);
  -webkit-transform: translateY(200%);
  transform: translateY(200%);
}

.snackbar.snackbar-opened {
  // Style
  padding: 14px 15px;
  margin-bottom: 20px;

  // Animation
  height: auto;
  -moz-transition: -moz-transform 0.2s ease-in-out, opacity 0.2s ease-in, height 0s linear 0.2s;
  -webkit-transition: -webkit-transform 0.2s ease-in-out, opacity 0.2s ease-in, height 0s linear 0.2s;
  transition: transform 0.2s ease-in-out, opacity 0.2s ease-in, height 0s linear 0.2s, height 0s linear 0.2s;
  -moz-transform: none;
  -webkit-transform: none;
  transform: none;
}

// Variations
.snackbar.toast {
  border-radius: 200px;
}